Skip to content

HealthService ​

Health checking service (grpc.health.v1 compatible semantics).

Transport

All methods are available via:

  • gRPC on port 7080 — native high-performance API
  • REST/JSON on port 7081 — HTTP/JSON transcoding via embedded structured-proxy

Methods ​

Check ​

Check overall service health.

HTTP: GET /v1/health

Request: HealthCheckRequest

FieldTypeDescription
servicestringOptional service name to check. Empty = overall health.

Response: HealthCheckResponse

FieldTypeDescription
statusServingStatus—

Ready ​

Readiness probe (returns OK only when the node can serve requests).

HTTP: GET /v1/ready

Request: ReadyRequest

Empty request (no fields).

Response: ReadyResponse

FieldTypeDescription
readybool—
reasonstring—

Types ​

HealthCheckRequest ​

FieldTypeDescription
servicestringOptional service name to check. Empty = overall health.

HealthCheckResponse ​

FieldTypeDescription
statusServingStatus—

ReadyRequest ​

No fields.

ReadyResponse ​

FieldTypeDescription
readybool—
reasonstring—

Enums ​

ServingStatus ​

ValueNumberDescription
SERVING_STATUS_UNSPECIFIED0—
SERVING_STATUS_SERVING1—
SERVING_STATUS_NOT_SERVING2—